<header>
  <h1 class="top-appear">
    {{ 'shared.form.header.title.' + (isUpdate ? 'update' : 'create') | translate: { resource: ('shared.resources.serie' | translate) } }}
  </h1>
</header>

<section>
  <form *ngIf="formGroup" [formGroup]="formGroup" (ngSubmit)="submit()" @scaleFade>
    <sfl-media-form [parentFormGroup]="formGroup"></sfl-media-form>

    <div class="chip-list" fxLayout="column" fxLayoutGap="1rem">
      <p>{{ 'serie.form.content.fields.releaseDate' | translate }}</p>
      <mat-chip-list [selectable]="true" multiple>
        <mat-chip [value]="day" *ngFor="let day of days" [selected]="isSelected(day)" (click)="selectDay(day)">{{
          'shared.days.' + day | translate
        }}</mat-chip>
      </mat-chip-list>
    </div>

    <div fxLayout.xs="column" fxLayout="row" fxLayoutGap="1rem">
      <mat-form-field appearance="fill" (click)="startDatePickerRef.open()">
        <mat-label>{{ 'serie.form.content.fields.startDate' | translate }}</mat-label>
        <input matInput formControlName="startDate" [matDatepicker]="startDatePickerRef" (dateChange)="formGroup.get('endDate').reset()" />
        <button
          *ngIf="formGroup.get('startDate').value"
          type="button"
          mat-icon-button
          matSuffix
          (click)="formGroup.get('startDate').reset(); formGroup.get('endDate').reset()"
          sfl-stop-propagation
        >
          <mat-icon>clear</mat-icon>
        </button>
        <mat-datepicker-toggle matPrefix [for]="startDatePickerRef"></mat-datepicker-toggle>
        <mat-datepicker #startDatePickerRef [touchUi]="isMobile"></mat-datepicker>
      </mat-form-field>

      <mat-form-field appearance="fill" (click)="endDatePickerRef.open()">
        <mat-label>{{ 'serie.form.content.fields.endDate' | translate }}</mat-label>
        <mat-datepicker-toggle matPrefix [for]="endDatePickerRef"></mat-datepicker-toggle>
        <input type="text" matInput formControlName="endDate" [matDatepicker]="endDatePickerRef" [min]="formGroup.get('startDate').value" />
        <button
          *ngIf="formGroup.get('endDate').value"
          type="button"
          mat-icon-button
          matSuffix
          (click)="formGroup.get('endDate').reset()"
          sfl-stop-propagation
        >
          <mat-icon>clear</mat-icon>
        </button>
        <mat-datepicker #endDatePickerRef [touchUi]="isMobile"></mat-datepicker>
      </mat-form-field>
    </div>

    <mat-form-field appearance="fill">
      <mat-label>{{ 'serie.form.content.fields.lasEpisodeSeen' | translate }}</mat-label>
      <input type="number" matInput formControlName="lasEpisodeSeen" />
      <mat-error>{{ 'shared.form.errors.min' | translate: { min: 0 } }}</mat-error>
    </mat-form-field>

    <button type="submit" sfl-button [disabled]="isSubmit">
      {{ 'shared.form.actions.' + (isUpdate ? 'update' : 'create') | translate }}
    </button>
  </form>
</section>
